From 854fbfd0a86c52ebed3ce7773ee762ee49eb69be Mon Sep 17 00:00:00 2001
From: Dominik George <natureshadow@debian.org>
Date: Sat, 27 Oct 2018 15:33:29 +0200
Subject: [PATCH] Fix command in systemd service file.

---
 debian/apacheds.service | 17 +++++++++--------
 debian/changelog        |  7 +++++++
 2 files changed, 16 insertions(+), 8 deletions(-)

diff --git a/debian/apacheds.service b/debian/apacheds.service
index e6de514..23efa17 100644
--- a/debian/apacheds.service
+++ b/debian/apacheds.service
@@ -8,14 +8,15 @@ Type=simple
 User=apacheds
 Group=apacheds
 EnvironmentFile=/etc/default/apacheds
-ExecStart=${JAVA_HOME}/bin/java ${JAVA_OPTS} \
-            -Dapacheds.controls=${ADS_CONTROLS} \
-            -Dapacheds.extendedOperations=${ADS_EXTENDED_OPERATIONS} \
-            -Dlog4j.configuration=file:${ADS_INSTANCES}/${ADS_INSTANCE}/conf/log4j.properties \
-            -Dapacheds.log.dir=${ADS_INSTANCES}/${ADS_INSTANCE}/log \
-            -cp '${ADS_HOME}/lib/*' \
-            org.apache.directory.server.UberjarMain \
-            ${ADS_INSTANCES}/${ADS_INSTANCE}/
+ExecStart=/bin/sh -c "exec \
+            ${JAVA_HOME}/bin/java ${JAVA_OPTS} \
+              -Dapacheds.controls=${ADS_CONTROLS} \
+              -Dapacheds.extendedOperations=${ADS_EXTENDED_OPERATIONS} \
+              -Dlog4j.configuration=file:${ADS_INSTANCES}/${ADS_INSTANCE}/conf/log4j.properties \
+              -Dapacheds.log.dir=${ADS_INSTANCES}/${ADS_INSTANCE}/log \
+              -cp '${ADS_HOME}/lib/*' \
+              org.apache.directory.server.UberjarMain \
+              ${ADS_INSTANCES}/${ADS_INSTANCE}/"
 PrivateTmp=true
 
 [Install]
diff --git a/debian/changelog b/debian/changelog
index 4e0d8a6..73583b1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+apache-directory-server (2.0.0~M24-1.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix command in systemd service file. (Closes: #909063)
+
+ -- Dominik George <natureshadow@debian.org>  Sat, 27 Oct 2018 15:32:48 +0200
+
 apache-directory-server (2.0.0~M24-1) unstable; urgency=medium
 
   * Team upload.
-- 
2.19.1

